using OpenTK.Mathematics;
using OpenTK.Windowing.Desktop;
using OpenTK.Windowing.Common;

namespace Updater
{
    internal class MessageBox : GameWindow
    {
        private static readonly NativeWindowSettings Settings = new()
        {
            Title = "Messsage",
            Size = new Vector2i(500, 500),
            WindowBorder = WindowBorder.Fixed,
            APIVersion = new Version(3, 2),
            StartFocused = true
        };
        private static readonly GameWindowSettings GWS = new();

        private MessageBox()
            :base(GWS, Settings)
        {

        }

        public enum Result
        {
            Yes,
            No,
            Ok
        }

        public enum Buttons
        {
            YesNo,
            Ok
        }

        public static int Show(string Text, Buttons buttons = Buttons.Ok)
        {
            Console.WriteLine(Text);
            return 0;
        }
    }
}
